USE [msdb]
GO

/****** Object:  Job [Jobs 1 mês]    Script Date: 02/15/2017 00:45:20 ******/
BEGIN TRANSACTION
DECLARE @ReturnCode INT
SELECT @ReturnCode = 0
/****** Object:  JobCategory [[Uncategorized (Local)]]]    Script Date: 02/15/2017 00:45:20 ******/
IF NOT EXISTS (SELECT name FROM msdb.dbo.syscategories WHERE name=N'[Uncategorized (Local)]' AND category_class=1)
BEGIN
EXEC @ReturnCode = msdb.dbo.sp_add_category @class=N'JOB', @type=N'LOCAL', @name=N'[Uncategorized (Local)]'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback

END

DECLARE @jobId BINARY(16)
EXEC @ReturnCode =  msdb.dbo.sp_add_job @job_name=N'Jobs 1 mês', 
		@enabled=1, 
		@notify_level_eventlog=0, 
		@notify_level_email=0, 
		@notify_level_netsend=0, 
		@notify_level_page=0, 
		@delete_level=0, 
		@description=N'No description available.', 
		@category_name=N'[Uncategorized (Local)]', 
		@owner_login_name=N'sa', @job_id = @jobId OUTPUT
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [NULL]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'NULL', 
		@step_id=1, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'update memb_stat set tempo = 0 where tempo > 0', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP RESETS]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP RESETS', 
		@step_id=2, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''1'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = reset_mensal from  character order by reset_mensal desc,resetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=3000;		-- premio em golds
SET @XP 	=3000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 11
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set reset_mensal=0 where name = @name and reset_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = reset_mensal from  character order by reset_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=7; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set reset_mensal=0 where name = @name and reset_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = reset_mensal from  character order by reset_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=300;		-- premio em mgolds
SET @GP 	=1000;		-- premio em golds
SET @XP 	=1000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set reset_mensal = 0 where reset_mensal > 0
', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP MRESETS]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP MRESETS', 
		@step_id=3, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''2'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = mreset_mensal from  character order by mreset_mensal desc,masterresetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=15; 		-- premio em creditos
SET @WP 	=3000;		-- premio em mgolds
SET @GP 	=6000;		-- premio em golds
SET @XP 	=6000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 12
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set mreset_mensal=0 where name = @name and mreset_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = mreset_mensal from  character order by mreset_mensal desc,masterresetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=4000;		-- premio em golds
SET @XP 	=4000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set mreset_mensal=0 where name = @name and mreset_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = mreset_mensal from  character order by mreset_mensal desc,masterresetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set mreset_mensal = 0 where mreset_mensal > 0

', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP TEMPO]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP TEMPO', 
		@step_id=4, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''3'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = tempo_mensal from  character order by tempo_mensal desc,resetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=3000;		-- premio em golds
SET @XP 	=3000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 13
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set tempo_mensal=0 where name = @name and tempo_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = tempo_mensal from  character order by tempo_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=7; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set tempo_mensal=0 where name = @name and tempo_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = tempo_mensal from  character order by tempo_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=300;		-- premio em mgolds
SET @GP 	=1000;		-- premio em golds
SET @XP 	=1000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set tempo_mensal = 0 where tempo_mensal > 0
', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP EVENTOS]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP EVENTOS', 
		@step_id=5, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''4'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = eventos_mensal from  character order by eventos_mensal desc,resetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=3000;		-- premio em golds
SET @XP 	=3000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 14
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set eventos_mensal=0 where name = @name and eventos_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = eventos_mensal from  character order by eventos_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=7; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set eventos_mensal=0 where name = @name and eventos_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = eventos_mensal from  character order by eventos_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=300;		-- premio em mgolds
SET @GP 	=1000;		-- premio em golds
SET @XP 	=1000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set eventos_mensal = 0 where eventos_mensal > 0
', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP MORTES]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP MORTES', 
		@step_id=6, 
		@cmdexec_success_code=0, 
		@on_success_action=3, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''5'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankpk_mensal from  character order by z_rankpk_mensal desc,resetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=3000;		-- premio em golds
SET @XP 	=3000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 15
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set z_rankpk_mensal =0 where name = @name and z_rankpk_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankpk_mensal from  character order by z_rankpk_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=7; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set z_rankpk_mensal = 0 where name = @name and z_rankpk_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankpk_mensal from  character order by z_rankpk_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=300;		-- premio em mgolds
SET @GP 	=1000;		-- premio em golds
SET @XP 	=1000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set z_rankpk_mensal = 0 where z_rankpk_mensal > 0
', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
/****** Object:  Step [TOP HERO]    Script Date: 02/15/2017 00:45:20 ******/
EXEC @ReturnCode = msdb.dbo.sp_add_jobstep @job_id=@jobId, @step_name=N'TOP HERO', 
		@step_id=7, 
		@cmdexec_success_code=0, 
		@on_success_action=1, 
		@on_success_step_id=0, 
		@on_fail_action=2, 
		@on_fail_step_id=0, 
		@retry_attempts=0, 
		@retry_interval=0, 
		@os_run_priority=0, @subsystem=N'TSQL', 
		@command=N'DECLARE
@name 		varchar(10),
@acc 		varchar(10),
@dado 		int,
@tipo 		smallint,
@WC int,
@WP int,
@GP int,
@XP int,
@VIP1 int,
@VIP2 int,
@VIP3 int,
@EVENTOS int

SET @tipo = ''6'';			-- Nao mudar

-- PRIMEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankhr_mensal from  character order by z_rankhr_mensal desc,resetcount desc
 
IF @dado > 0 
BEGIN
SET @WC 	=10; 		-- premio em creditos
SET @WP 	=1000;		-- premio em mgolds
SET @GP 	=3000;		-- premio em golds
SET @XP 	=3000;		-- premio em exp
SET @VIP1 	=10;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=10;		-- premio apenas para vip nivel 2
SET @VIP3 	=10;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
EXEC PREMIAR_TOPS_MEDALHAS @acc, @name, 16
INSERT INTO top_mensal ( nome, dado,tipo,rank ) VALUES (@name,@dado,@tipo,''1'')

update character set z_rankhr_mensal =0 where name = @name and z_rankhr_mensal > 0

END

-- SEGUNDO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankhr_mensal from  character order by z_rankhr_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=7; 		-- premio em creditos
SET @WP 	=500;		-- premio em mgolds
SET @GP 	=2000;		-- premio em golds
SET @XP 	=2000;		-- premio em exp
SET @VIP1 	=7;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=7;		-- premio apenas para vip nivel 2
SET @VIP3 	=7;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''2'')

update character set z_rankhr_mensal = 0 where name = @name and z_rankhr_mensal > 0

END

-- TERCEIRO COLOCADO
SELECT TOP 1 @acc = AccountID, @name = Name, @dado = z_rankhr_mensal from  character order by z_rankhr_mensal desc,resetcount desc

IF @dado > 0 
BEGIN
SET @WC 	=5; 		-- premio em creditos
SET @WP 	=300;		-- premio em mgolds
SET @GP 	=1000;		-- premio em golds
SET @XP 	=1000;		-- premio em exp
SET @VIP1 	=5;		-- premio apenas para vip nivel 0 e 1
SET @VIP2 	=5;		-- premio apenas para vip nivel 2
SET @VIP3 	=5;		-- premio apenas para vip nivel 3
SET @EVENTOS 	=0;		-- premio em pontos de eventos geral

EXEC PREMIAR_TOPS @acc, @name, @WC, @WP, @GP, @XP, @VIP1, @VIP2, @VIP3, @EVENTOS
Insert into top_mensal ( nome, dado, tipo, rank ) values (@name,@dado,@tipo,''3'')

END

update character set z_rankhr_mensal = 0 where z_rankhr_mensal > 0
', 
		@database_name=N'MuOnline', 
		@flags=0
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_update_job @job_id = @jobId, @start_step_id = 1
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_add_jobschedule @job_id=@jobId, @name=N'mes', 
		@enabled=1, 
		@freq_type=16, 
		@freq_interval=1, 
		@freq_subday_type=1, 
		@freq_subday_interval=0, 
		@freq_relative_interval=0, 
		@freq_recurrence_factor=1, 
		@active_start_date=20160830, 
		@active_end_date=99991231, 
		@active_start_time=1000, 
		@active_end_time=235959, 
		@schedule_uid=N'26ce68fd-e4b8-4d46-9004-bc52263ab6c5'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
EXEC @ReturnCode = msdb.dbo.sp_add_jobserver @job_id = @jobId, @server_name = N'(local)'
IF (@@ERROR <> 0 OR @ReturnCode <> 0) GOTO QuitWithRollback
COMMIT TRANSACTION
GOTO EndSave
QuitWithRollback:
    IF (@@TRANCOUNT > 0) ROLLBACK TRANSACTION
EndSave:

GO


